> ## Documentation Index
> Fetch the complete documentation index at: https://plainrouter.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List recent events

> Returns retained customer-readable events and aggregate destination-delivery acceptance metrics.



## OpenAPI

````yaml https://plainrouter.com/openapi.json get /dashboard/events
openapi: 3.1.0
info:
  title: PlainRouter Conversion API
  version: 0.5.0
  description: PlainRouter public Signals Conversion API.
servers:
  - url: https://plainrouter.com/api/v1
    description: Production
security:
  - signalTrackerSecret: []
paths:
  /dashboard/events:
    get:
      tags:
        - Operations
      summary: List recent events
      description: >-
        Returns retained customer-readable events and aggregate
        destination-delivery acceptance metrics.
      operationId: listEvents
      parameters:
        - name: per_page
          in: query
          description: Events per page, capped at 100.
          schema:
            type: integer
            default: 25
      responses:
        '200':
          description: Page-number-paginated events and delivery acceptance metrics.
          content:
            application/json:
              schema:
                type: object
                properties:
                  events:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            signal_tracker_id:
                              type: string
                            parent_event_id:
                              type:
                                - string
                                - 'null'
                            event_name:
                              type: string
                            event_time:
                              type: string
                            action_source:
                              type: string
                            event_class:
                              type: string
                            order_id:
                              type:
                                - string
                                - 'null'
                            value_amount:
                              type:
                                - integer
                                - 'null'
                            value_currency:
                              type:
                                - string
                                - 'null'
                            created_at:
                              type: string
                            consent_basis:
                              type: string
                            measurement_class:
                              type: string
                            attribution_join:
                              type: string
                            enforcement_scope:
                              type: string
                            consent_normalization_version:
                              type: string
                            consent:
                              anyOf:
                                - type: object
                                  additionalProperties: {}
                                - type: array
                                  items: {}
                                - type: 'null'
                            user_data_hashed:
                              anyOf:
                                - type: object
                                  additionalProperties: {}
                                - type: array
                                  items: {}
                                - type: 'null'
                            click_ids:
                              anyOf:
                                - type: object
                                  additionalProperties: {}
                                - type: array
                                  items: {}
                                - type: 'null'
                            session:
                              anyOf:
                                - type: object
                                  additionalProperties: {}
                                - type: array
                                  items: {}
                                - type: 'null'
                            value_data:
                              anyOf:
                                - type: object
                                  additionalProperties: {}
                                - type: array
                                  items: {}
                                - type: 'null'
                            event_source:
                              type:
                                - string
                                - 'null'
                            payload_expired:
                              type: boolean
                            deliveries:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: integer
                                  signal_tracker_id:
                                    type: string
                                  event_id:
                                    type: string
                                  destination_id:
                                    type:
                                      - string
                                      - 'null'
                                  status:
                                    $ref: '#/components/schemas/DeliveryStatus'
                                  is_test:
                                    type: boolean
                                  attempt_count:
                                    type: integer
                                  last_error:
                                    anyOf:
                                      - type: object
                                        additionalProperties: {}
                                      - type: array
                                        items: {}
                                      - type: 'null'
                                  platform_response:
                                    anyOf:
                                      - type: object
                                        additionalProperties: {}
                                      - type: array
                                        items: {}
                                      - type: 'null'
                                  platform_trace_id:
                                    type:
                                      - string
                                      - 'null'
                                  next_attempt_at:
                                    type:
                                      - string
                                      - 'null'
                                  created_at:
                                    type: string
                                  updated_at:
                                    type:
                                      - string
                                      - 'null'
                                required:
                                  - id
                                  - signal_tracker_id
                                  - event_id
                                  - destination_id
                                  - status
                                  - is_test
                                  - attempt_count
                                  - last_error
                                  - platform_response
                                  - platform_trace_id
                                  - next_attempt_at
                                  - created_at
                                  - updated_at
                          required:
                            - id
                            - signal_tracker_id
                            - parent_event_id
                            - event_name
                            - event_time
                            - action_source
                            - event_class
                            - order_id
                            - value_amount
                            - value_currency
                            - created_at
                            - consent_basis
                            - measurement_class
                            - attribution_join
                            - enforcement_scope
                            - consent_normalization_version
                            - consent
                            - user_data_hashed
                            - click_ids
                            - session
                            - value_data
                            - event_source
                            - payload_expired
                            - deliveries
                      first_page_url:
                        type:
                          - string
                          - 'null'
                      from:
                        type:
                          - integer
                          - 'null'
                      last_page:
                        type: integer
                      last_page_url:
                        type:
                          - string
                          - 'null'
                      links:
                        type: array
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      next_page_url:
                        type:
                          - string
                          - 'null'
                      path:
                        type:
                          - string
                          - 'null'
                      per_page:
                        type: integer
                      prev_page_url:
                        type:
                          - string
                          - 'null'
                      to:
                        type:
                          - integer
                          - 'null'
                      total:
                        type: integer
                    required:
                      - current_page
                      - data
                      - first_page_url
                      - from
                      - last_page
                      - last_page_url
                      - links
                      - next_page_url
                      - path
                      - per_page
                      - prev_page_url
                      - to
                      - total
                  metrics:
                    type: object
                    properties:
                      accepted:
                        type: integer
                      total_deliveries:
                        type: integer
                      acceptance_rate:
                        type:
                          - number
                          - 'null'
                      acceptance_rate_window:
                        type: string
                    required:
                      - accepted
                      - total_deliveries
                      - acceptance_rate
                      - acceptance_rate_window
                required:
                  - events
                  - metrics
        '401':
          description: Invalid or missing Signal tracker secret.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    DeliveryStatus:
      type: string
      enum:
        - queued
        - sent
        - accepted
        - retrying
        - failed:auth
        - failed:permanent
        - failed:unknown
        - expired
        - skipped:consent
        - skipped:no_destination
        - skipped:duplicate
      title: DeliveryStatus
    ErrorMessage:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      title: ErrorMessage
  securitySchemes:
    signalTrackerSecret:
      type: http
      description: >-
        Per-tracker bearer secret. It authenticates only the Signal tracker
        represented by the credential.
      scheme: bearer

````